[bitbake-devel] [meta][PATCH] Toaster now starts

Tobias Andersson anderssontobias88 at gmail.com
Thu Feb 15 21:46:12 UTC 2018


---
 bitbake/bin/toaster | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 4036f0a..4c8ad31 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -38,7 +38,7 @@ databaseCheck()
     retval=0
     # you can always add a superuser later via
     # ../bitbake/lib/toaster/manage.py createsuperuser --username=<ME>
-    $MANAGE migrate --noinput || retval=1
+    python3 $MANAGE migrate --noinput || retval=1
 
     if [ $retval -eq 1 ]; then
         echo "Failed migrations, aborting system start" 1>&2
@@ -46,7 +46,7 @@ databaseCheck()
     fi
     # Make sure that checksettings can pick up any value for TEMPLATECONF
     export TEMPLATECONF
-    $MANAGE checksettings --traceback || retval=1
+    python3 $MANAGE checksettings --traceback || retval=1
 
     if [ $retval -eq 1 ]; then
         printf "\nError while checking settings; aborting\n"
@@ -91,7 +91,7 @@ webserverStartAll()
 
     echo "Starting webserver..."
 
-    $MANAGE runserver "$ADDR_PORT" \
+    python3 $MANAGE runserver "$ADDR_PORT" \
            </dev/null >>${BUILDDIR}/toaster_web.log 2>&1 \
            & echo $! >${BUILDDIR}/.toastermain.pid
 
@@ -159,7 +159,7 @@ else
 fi
 
 export BBBASEDIR=`dirname $TOASTER`/..
-MANAGE="python3 $BBBASEDIR/lib/toaster/manage.py"
+MANAGE="$BBBASEDIR/lib/toaster/manage.py"
 OE_ROOT=`dirname $TOASTER`/../..
 
 # this is the configuraton file we are using for toaster
@@ -264,9 +264,9 @@ custom_extention toaster_prepend $CMD $ADDR_PORT
 case $CMD in
     start )
         # check if addr:port is not in use
-        if [ "$CMD" == 'start' ]; then
+        if [ "$CMD" = 'start' ]; then
             if [ $WEBSERVER -gt 0 ]; then
-                $MANAGE checksocket "$ADDR_PORT" || return 1
+                python3 $MANAGE checksocket "$ADDR_PORT" || return 1
             fi
         fi
 
@@ -292,7 +292,7 @@ case $CMD in
         fi
         export BITBAKE_UI='toasterui'
         if [ $TOASTER_BUILDSERVER -eq 1 ] ; then
-            $MANAGE runbuilds \
+            python3 $MANAGE runbuilds \
                </dev/null >>${BUILDDIR}/toaster_runbuilds.log 2>&1 \
                & echo $! >${BUILDDIR}/.runbuilds.pid
         else
-- 
2.7.4




More information about the bitbake-devel mailing list